package com.qiyuesuo.sdk.api;

import java.util.List;

import com.qiyuesuo.sdk.exception.BaseSdkException;
import com.qiyuesuo.sdk.seal.Seal;
import com.qiyuesuo.sdk.signer.Company;
import com.qiyuesuo.sdk.signer.Person;


/**
 * 印章服务接口
 */
public interface SealService {
	
	/**
	 * 生成个人电子印章
	 * 
	 * @param person 个人信息
	 * @return
	 * @throws BaseSdkException SDK异常
	 */
	public String generateSeal(Person person) throws BaseSdkException;

	/**
	 * 生成企业电子印章
	 * 
	 * @param company 企业信息
	 * @return
	 * @throws BaseSdkException SDK异常
	 */
	public String generateSeal(Company company) throws BaseSdkException;

	/**
	 * 查找印章
	 * @param sealId 印章ID
	 * @return
	 */
	public String findSeal(Long sealId);
	
	/**
	 * 获取所有可用的平台印章
	 * @return
	 */
	public List<Seal> sealList();

}
