package com.qiyuesuo.sdk.api;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * 文件存证，包括文件存储和文件公证接口
 */
public interface StorageService {
	
	/**
	 * 存储文件并公证，文件放入默认的bucket下
	 * @param input 文件输入流
	 * @param fileName 文件名
	 * @param contentType 文件类型
	 * @param notary 是否需要公证
	 * @return
	 */
	Long upload(InputStream input, String fileName, String contentType, boolean notary);
	
	/**
	 * 存储文件并公证，文件放入指定的bucket下
	 * @param input 文件的输入流
	 * @param fileName 文件名
	 * @param contentType 文件类型
	 * @param notary 是否需要公证
	 * @param bucket bucket名称
	 * @return
	 */
	Long upload(InputStream input, String fileName, String contentType, boolean notary, String bucket);
	
	/**
	 * 下载文件
	 * @param fileId 文件ID
	 * @param outputStream 文件输出流
	 */
	void download(Long fileId, OutputStream outputStream);
	
}
