package com.qiyuesuo.sdk.contract;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.qiyuesuo.sdk.signer.Signer;

/**
 * 远程签-合同详情
 */
public class Contract implements Serializable {
	private static final long serialVersionUID = 1L;

	private Long id;						// 唯一标识
	private String subject;					// 合同主题
	private String sender;					// 发起方名称
	private Date publishTime;				// 合同发起时间
	private Date lastSignTime; 				// 最后签署时间
	private Date expireTime;				// 合同过期时间
	private ContractStatus status;			// 合同状态
	private Integer signedCount;			// 累计签署次数
	private List<Document> documents;		// 合同文件
	private List<Signer> signedSigners;		// 已签署方
	
	public Contract(){}
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	public List<Document> getDocuments() {
		return documents;
	}
	public void setDocuments(List<Document> documents) {
		this.documents = documents;
	}
	public String getSender() {
		return sender;
	}
	public void setSender(String sender) {
		this.sender = sender;
	}
	public Date getPublishTime() {
		return publishTime;
	}
	public void setPublishTime(Date publishTime) {
		this.publishTime = publishTime;
	}
	public Date getLastSignTime() {
		return lastSignTime;
	}
	public void setLastSignTime(Date lastSignTime) {
		this.lastSignTime = lastSignTime;
	}
	public Date getExpireTime() {
		return expireTime;
	}
	public void setExpireTime(Date expireTime) {
		this.expireTime = expireTime;
	}
	public ContractStatus getStatus() {
		return status;
	}
	public void setStatus(ContractStatus status) {
		this.status = status;
	}
	public Integer getSignedCount() {
		return signedCount;
	}
	public void setSignedCount(Integer signedCount) {
		this.signedCount = signedCount;
	}
	public List<Signer> getSignedSigners() {
		return signedSigners;
	}
	public void setSignedSigners(List<Signer> signedSigners) {
		this.signedSigners = signedSigners;
	}
	
}
