package com.qiyuesuo.sdk.standard;

import java.io.InputStream;

import com.qiyuesuo.sdk.exception.BaseSdkException;
import com.qiyuesuo.sdk.http.HttpParamers;
import com.qiyuesuo.sdk.impl.StandardSignServiceImpl;
import com.qiyuesuo.sdk.utils.FileItem;
import com.qiyuesuo.sdk.utils.StreamFile;
import com.qiyuesuo.sdk.utils.StringUtils;

/**
 * 标准签添加合同文件请求参数：用文件流添加合同文件
 */
public class AddDocumentByFileRequest extends AddDocumentRequest {

	private InputStream file;

	@Override
	public String getRequestUrl() {
		return StandardSignServiceImpl.ADDDOCUMENT_BYFILE;
	}

	@Override
	public HttpParamers getHttpParamers() {
		if(contractId == null) {
			throw new BaseSdkException("contractId不能为空");
		}
		if(StringUtils.isBlank(title)) {
			throw new BaseSdkException("title不能为空");
		}
		if(file == null) {
			throw new BaseSdkException("file不能为空");
		}
		HttpParamers paramers = HttpParamers.httpPostParamers();
		paramers.addParam("contractId", String.valueOf(contractId));
		paramers.addParam("title", title);
		FileItem fileItem = new StreamFile(file);
		paramers.addFile("file", fileItem);
		return paramers;
	}

	public InputStream getFile() {
		return file;
	}

	public void setFile(InputStream file) {
		this.file = file;
	}
	
}
