package com.qiyuesuo.sdk.standard;

import com.qiyuesuo.sdk.exception.BaseSdkException;
import com.qiyuesuo.sdk.http.HttpParamers;
import com.qiyuesuo.sdk.impl.StandardSignServiceImpl;
import com.qiyuesuo.sdk.utils.StringUtils;

/**
 * 标准签添加合同文件请求参数：用html文本添加合同文件
 */
public class AddDocumentByHtmlRequest extends AddDocumentRequest {

	private String html;

	@Override
	public String getRequestUrl() {
		return StandardSignServiceImpl.ADDDOCUMENT_BYHTML;
	}

	@Override
	public HttpParamers getHttpParamers() {
		if(contractId == null) {
			throw new BaseSdkException("contractId不能为空");
		}
		if(StringUtils.isBlank(title)) {
			throw new BaseSdkException("title不能为空");
		}
		if(StringUtils.isEmpty(html)) {
			throw new BaseSdkException("html不能为空");
		}
		HttpParamers paramers = HttpParamers.httpPostParamers();
		paramers.addParam("contractId", String.valueOf(contractId));
		paramers.addParam("title", title);
		paramers.addParam("html", html);
		return paramers;
	}

	public String getHtml() {
		return html;
	}

	public void setHtml(String html) {
		this.html = html;
	}

}
