package com.qiyuesuo.sdk.standard;

import java.io.InputStream;

import com.qiyuesuo.sdk.exception.BaseSdkException;
import com.qiyuesuo.sdk.http.HttpParamers;
import com.qiyuesuo.sdk.impl.StandardSignServiceImpl;
import com.qiyuesuo.sdk.utils.FileItem;
import com.qiyuesuo.sdk.utils.StreamFile;
import com.qiyuesuo.sdk.utils.StringUtils;

/**
 * 标准签初始化合同请求参数：用文件流初始化合同
 */
public class CreateByFileRequest extends CreateContractRequest {

	private InputStream file;

	@Override
	public String getRequestUrl() {
		return StandardSignServiceImpl.INITCONTRACT_BYFILE;
	}

	@Override
	public HttpParamers getHttpParamers() {
		if(StringUtils.isBlank(docName)) {
			throw new BaseSdkException("docName不能为空");
		}
		if(file == null) {
			throw new BaseSdkException("file不能为空");
		}
		HttpParamers paramers = HttpParamers.httpPostParamers();
		paramers.addParam("docName", docName);
		paramers.addParam("subject", subject);
		paramers.addParam("sn", sn);
		FileItem fileItem = new StreamFile(file);
		paramers.addFile("file", fileItem);
		return paramers;
	}

	public InputStream getFile() {
		return file;
	}

	public void setFile(InputStream file) {
		this.file = file;
	}
	
}
