package com.qiyuesuo.sdk.standard;

import com.qiyuesuo.sdk.exception.BaseSdkException;
import com.qiyuesuo.sdk.http.HttpParamers;
import com.qiyuesuo.sdk.impl.StandardSignServiceImpl;
import com.qiyuesuo.sdk.utils.StringUtils;

/**
 * 标准签初始化合同请求参数：用html文本初始化合同
 */
public class CreateByHtmlRequest extends CreateContractRequest {

	private String html;

	@Override
	public String getRequestUrl() {
		return StandardSignServiceImpl.INITCONTRACT_BYHTML;
	}

	@Override
	public HttpParamers getHttpParamers() {
		if(StringUtils.isBlank(docName)) {
			throw new BaseSdkException("docName不能为空");
		}
		if(StringUtils.isEmpty(html)) {
			throw new BaseSdkException("html不能为空");
		}
		HttpParamers paramers = HttpParamers.httpPostParamers();
		paramers.addParam("docName", docName);
		paramers.addParam("subject", subject);
		paramers.addParam("sn", sn);
		paramers.addParam("html", html);
		return paramers;
	}

	public String getHtml() {
		return html;
	}

	public void setHtml(String html) {
		this.html = html;
	}

}
