package com.qiyuesuo.sdk.standard;

import java.util.Map;

import com.qiyuesuo.sdk.exception.BaseSdkException;
import com.qiyuesuo.sdk.http.HttpParamers;
import com.qiyuesuo.sdk.impl.StandardSignServiceImpl;
import com.qiyuesuo.sdk.utils.JsonUtils;
import com.qiyuesuo.sdk.utils.StringUtils;

/**
 * 标准签初始化合同请求参数：用合同模板初始化合同
 */
public class CreateByTemplateRequest extends CreateContractRequest {

	private Long templateId;
	private Map<String, String> templateParams;

	@Override
	public String getRequestUrl() {
		return StandardSignServiceImpl.INITCONTRACT_BYTEMPLATE;
	}

	@Override
	public HttpParamers getHttpParamers() {
		if(StringUtils.isBlank(docName)) {
			throw new BaseSdkException("docName不能为空");
		}
		if(templateId == null) {
			throw new BaseSdkException("templateId不能为空");
		}
		HttpParamers paramers = HttpParamers.httpPostParamers();
		paramers.addParam("docName", docName);
		paramers.addParam("subject", subject);
		paramers.addParam("sn", sn);
		paramers.addParam("templateId", String.valueOf(templateId));
		if(templateParams != null && !templateParams.isEmpty()) {
			paramers.addParam("templateParams", JsonUtils.toJson(templateParams));
		}
		return paramers;
	}
	
	public Long getTemplateId() {
		return templateId;
	}
	public void setTemplateId(Long templateId) {
		this.templateId = templateId;
	}
	public Map<String, String> getTemplateParams() {
		return templateParams;
	}
	public void setTemplateParams(Map<String, String> templateParams) {
		this.templateParams = templateParams;
	}

}
