package com.qiyuesuo.sdk.standard;

import java.io.Serializable;
import java.util.List;

import com.qiyuesuo.sdk.signer.AuthLevel;
import com.qiyuesuo.sdk.utils.StringUtils;

/**
 * 合同接收人对象，仅用于标准签模式
 */
public class Receiver implements Serializable {
	private static final long serialVersionUID = 1L;

	private UserType type; // 接收人类型（公司/个人）
	private String name; // 接收人名称（公司名称/用户姓名）
	private String mobile; // 接收人手机号（公司经办人手机号/用户手机号）
	private Integer ordinal; // 签名顺序
	private AuthLevel authLevel; // 需要的认证级别
	private boolean legalPersonRequired; // 是否需要签署法人章
	private List<StandardStamper> stampers; // 指定签署位置
	
	public UserType getType() {
		return type;
	}

	public void setType(UserType type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Integer getOrdinal() {
		return ordinal;
	}

	public void setOrdinal(Integer ordinal) {
		this.ordinal = ordinal;
	}

	public AuthLevel getAuthLevel() {
		return authLevel;
	}

	public void setAuthLevel(AuthLevel authLevel) {
		this.authLevel = authLevel;
	}

	public boolean isLegalPersonRequired() {
		return legalPersonRequired;
	}

	public void setLegalPersonRequired(boolean legalPersonRequired) {
		this.legalPersonRequired = legalPersonRequired;
	}

	public List<StandardStamper> getStampers() {
		return stampers;
	}

	public void setStampers(List<StandardStamper> stampers) {
		this.stampers = stampers;
	}

	public boolean check() {
		if (type == null) {
			return false;
		}

		if(type != UserType.PLATFORM) {

			if (StringUtils.isBlank(name)) {
				return false;
			}

			if (StringUtils.isBlank(mobile)) {
				return false;
			}

		}

		return true;
	}
	
}
