package com.qiyuesuo.sdk.standard;

import java.util.List;

import com.qiyuesuo.sdk.exception.BaseSdkException;
import com.qiyuesuo.sdk.http.HttpParamers;
import com.qiyuesuo.sdk.http.HttpRequest;
import com.qiyuesuo.tools.json.JSONObject;

/**
 * 标准签：法人签署请求参数
 */
public class SignByLegalPersonRequest implements HttpRequest {

	private Long contractId;
	private List<StandardStamper> stampers;
	
	@Override
	public HttpParamers getHttpParamers() {
		if(contractId == null) {
			throw new BaseSdkException("contractId不能为空");
		}
		HttpParamers paramers = HttpParamers.httpPostParamers();
		paramers.addParam("contractId", String.valueOf(contractId));
		if(stampers != null && !stampers.isEmpty()) {
			paramers.addParam("stampers", JSONObject.valueToString(stampers));
		}
		return paramers;
	}
	
	public Long getContractId() {
		return contractId;
	}
	public void setContractId(Long contractId) {
		this.contractId = contractId;
	}
	public List<StandardStamper> getStampers() {
		return stampers;
	}
	public void setStampers(List<StandardStamper> stampers) {
		this.stampers = stampers;
	}
	
}
