package com.qiyuesuo.sdk.standard;

import java.util.List;

import com.qiyuesuo.sdk.exception.BaseSdkException;
import com.qiyuesuo.sdk.http.HttpParamers;
import com.qiyuesuo.sdk.http.HttpRequest;
import com.qiyuesuo.tools.json.JSONObject;

/**
 * 标准签：签署公章请求参数
 */
public class SignRequest implements HttpRequest {

	private Long contractId;
	private Long sealId;
	private List<StandardSignStamper> stampers;
	private boolean acrossPage;
	
	@Override
	public HttpParamers getHttpParamers() {
		if(contractId == null) {
			throw new BaseSdkException("contractId不能为空");
		}
		HttpParamers paramers = HttpParamers.httpPostParamers();
		paramers.addParam("contractId", String.valueOf(contractId));
		if(sealId != null) {
			paramers.addParam("sealId", String.valueOf(sealId));
		}
		if(stampers != null && !stampers.isEmpty()) {
			paramers.addParam("stampers", JSONObject.valueToString(stampers));
		}
		paramers.addParam("acrossPage", String.valueOf(acrossPage));
		return paramers;
	}

	public Long getContractId() {
		return contractId;
	}

	public void setContractId(Long contractId) {
		this.contractId = contractId;
	}

	public Long getSealId() {
		return sealId;
	}

	public void setSealId(Long sealId) {
		this.sealId = sealId;
	}

	public List<StandardSignStamper> getStampers() {
		return stampers;
	}

	public void setStampers(List<StandardSignStamper> stampers) {
		this.stampers = stampers;
	}

	public boolean isAcrossPage() {
		return acrossPage;
	}

	public void setAcrossPage(boolean acrossPage) {
		this.acrossPage = acrossPage;
	}

}
