package com.qiyuesuo.sdk.standard;

import java.util.Date;

import com.qiyuesuo.sdk.signer.AuthLevel;
import com.qiyuesuo.sdk.signer.SignerType;

/**
 * 标准签-签约主体
 */
public class Signatory {

	private Long id;						// 签约主体ID
	private SignerType type;				// 签约主体类型（公司/个人）
	private String tenantName; 				// 签约主体名称（公司名称/用户姓名）
	private String recipientName;			// 接收人姓名
	private String contact;					// 接收人手机号/邮箱
	private Integer ordinal;				// 签名顺序
	private Boolean needOperator;			// 需要经办人签名
	private Boolean needLegalPerson;		// 需要法人签名
	private Boolean needSeal;				// 需要签公章
	private Boolean signed; 				// 是否已签署
	private Boolean sponsor;				// 是否是发起方
	private Date receiveTime;				// 接收时间
	private Date signTime;					// 签署时间
	private AuthLevel authLevel; 	// 需要的认证级别
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public SignerType getType() {
		return type;
	}

	public void setType(SignerType type) {
		this.type = type;
	}

	public String getTenantName() {
		return tenantName;
	}

	public void setTenantName(String tenantName) {
		this.tenantName = tenantName;
	}

	public String getRecipientName() {
		return recipientName;
	}

	public void setRecipientName(String recipientName) {
		this.recipientName = recipientName;
	}

	public String getContact() {
		return contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}

	public Integer getOrdinal() {
		return ordinal;
	}

	public void setOrdinal(Integer ordinal) {
		this.ordinal = ordinal;
	}

	public Boolean getNeedOperator() {
		return needOperator;
	}

	public void setNeedOperator(Boolean needOperator) {
		this.needOperator = needOperator;
	}

	public Boolean getNeedLegalPerson() {
		return needLegalPerson;
	}

	public void setNeedLegalPerson(Boolean needLegalPerson) {
		this.needLegalPerson = needLegalPerson;
	}

	public Boolean getNeedSeal() {
		return needSeal;
	}

	public void setNeedSeal(Boolean needSeal) {
		this.needSeal = needSeal;
	}

	public Boolean getSigned() {
		return signed;
	}

	public void setSigned(Boolean signed) {
		this.signed = signed;
	}

	public Boolean getSponsor() {
		return sponsor;
	}

	public void setSponsor(Boolean sponsor) {
		this.sponsor = sponsor;
	}

	public Date getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(Date receiveTime) {
		this.receiveTime = receiveTime;
	}

	public Date getSignTime() {
		return signTime;
	}

	public void setSignTime(Date signTime) {
		this.signTime = signTime;
	}

	public AuthLevel getAuthLevel() {
		return authLevel;
	}

	public void setAuthLevel(AuthLevel authLevel) {
		this.authLevel = authLevel;
	}
	
}
