package com.qiyuesuo.sdk.standard;

import java.util.Date;
import java.util.List;

import com.qiyuesuo.sdk.contract.ContractStatus;
import com.qiyuesuo.sdk.contract.Document;

/**
 * 标准签-合同详情
 */
public class StandardContract {

	private Long id;						// 合同ID
	private String subject;					// 合同签署主题
	private String creatorName;				// 创建人姓名
	private Date publishTime;				// 合同发起时间
	private Date lastSignTime; 				// 最后签署时间
	private Date expireTime; 				// 过期时间
	private ContractStatus status;			// 状态
	private Integer signedCount;			// 累计签署次数
	private String comments;				// 退回原因
	
	private List<Document> documents;			// 合同文件
	private List<Signatory> signatories;	// 签约主体
	
	private String sn;						// 合同序列号
	private Long categoryId;				// 合同分类ID
	private String categoryName;			// 合同分类名称
	private ReceiveType receiveType;		// 签署类型
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	public String getCreatorName() {
		return creatorName;
	}
	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}
	public Date getPublishTime() {
		return publishTime;
	}
	public void setPublishTime(Date publishTime) {
		this.publishTime = publishTime;
	}
	public Date getLastSignTime() {
		return lastSignTime;
	}
	public void setLastSignTime(Date lastSignTime) {
		this.lastSignTime = lastSignTime;
	}
	public Date getExpireTime() {
		return expireTime;
	}
	public void setExpireTime(Date expireTime) {
		this.expireTime = expireTime;
	}
	public ContractStatus getStatus() {
		return status;
	}
	public void setStatus(ContractStatus status) {
		this.status = status;
	}
	public Integer getSignedCount() {
		return signedCount;
	}
	public void setSignedCount(Integer signedCount) {
		this.signedCount = signedCount;
	}
	public String getComments() {
		return comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}
	public List<Document> getDocuments() {
		return documents;
	}
	public void setDocuments(List<Document> documents) {
		this.documents = documents;
	}
	public List<Signatory> getSignatories() {
		return signatories;
	}
	public void setSignatories(List<Signatory> signatories) {
		this.signatories = signatories;
	}
	public String getSn() {
		return sn;
	}
	public void setSn(String sn) {
		this.sn = sn;
	}
	public Long getCategoryId() {
		return categoryId;
	}
	public void setCategoryId(Long categoryId) {
		this.categoryId = categoryId;
	}
	public String getCategoryName() {
		return categoryName;
	}
	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}
	public ReceiveType getReceiveType() {
		return receiveType;
	}
	public void setReceiveType(ReceiveType receiveType) {
		this.receiveType = receiveType;
	}
	
}
