package com.qiyuesuo.sdk.template;

public class TemplateParam {

	private String name;			// 参数名称
	private HtmlType htmlType;		// 表单类型；input(单行文本)，textarea(多行文本)
	private ParamType paramType;	// 参数类型
	private String description;		// 参数描述
	private Boolean required;		// 是否必填
	
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public HtmlType getHtmlType() {
		return htmlType;
	}

	public void setHtmlType(HtmlType htmlType) {
		this.htmlType = htmlType;
	}

	public ParamType getParamType() {
		return paramType;
	}

	public void setParamType(ParamType paramType) {
		this.paramType = paramType;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Boolean getRequired() {
		return required;
	}

	public void setRequired(Boolean required) {
		this.required = required;
	}

	public static enum HtmlType {
		/**
		 * 单行文本
		 */
		input,
		/**
		 * 多行文本
		 */
		textarea
	}

	public static enum ParamType {
		/**
		 * 文本
		 */
		text,
		/**
		 * 时间
		 */
		date,
		/**
		 * 邮箱
		 */
		email,
		/**
		 * 手机号
		 */
		mobile,
		/**
		 * 小数
		 */
		money,
		/**
		 * 身份证号
		 */
		id,
		/**
		 * 整数
		 */
		number;
	}
	
}
